[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.NextValue

Return the type of the next value.

## Declaration

Source position: classesh.inc line 1154

`public function TBinaryObjectReader.NextValue: TValueType; override;`

## Description

NextValue returns the type of the next value in a binary stream, but does not read the value.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader

Documentation generated on: Feb 26 2014